Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Gnome3 Probleme mit GTK3-Themen
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
boospy
Apprentice
Apprentice


Joined: 07 Feb 2010
Posts: 249
Location: Austria

PostPosted: Fri Aug 17, 2012 3:43 pm    Post subject: Gnome3 Probleme mit GTK3-Themen Reply with quote

Hallo Leute

Komische Sache, vermutlich fehlen mir engines. Wenn ich von z.B. gnome-look.org ein GTK3 Thema installiere. Sind ja auch immer Themen für GTK2 dabei damit die Dinge gleich aussehen. Tun sie aber nicht. Immer sieht das GTK3 Thema anders aus, und zwar schlechter. Das Thema bei GTK2 Anwendungen sieht hingegen immer sauber aus. Im Anhang ein Beispiel von GTK3. Das gleich Thema in einer GTK2 Anwendung ist normal leserlich, auch die Farben passen.
Habt ihr hier ne Ahnung was mir fehlt, oder funktioniert das einfach noch nicht so richtig.

Bild zum Thema: http://www.osit.cc/pics/themafalsch11.png

lg
boospy
Back to top
View user's profile Send private message
fuchur
Guru
Guru


Joined: 12 Aug 2003
Posts: 563

PostPosted: Fri Aug 17, 2012 4:41 pm    Post subject: Re: Gnome3 Probleme mit GTK3-Themen Reply with quote

Hi
boospy wrote:
Hallo Leute

Komische Sache, vermutlich fehlen mir engines. Wenn ich von z.B. gnome-look.org ein GTK3 Thema installiere. Sind ja auch immer Themen für GTK2 dabei damit die Dinge gleich aussehen. Tun sie aber nicht. Immer sieht das GTK3 Thema anders aus, und zwar schlechter. Das Thema bei GTK2 Anwendungen sieht hingegen immer sauber aus. Im Anhang ein Beispiel von GTK3. Das gleich Thema in einer GTK2 Anwendung ist normal leserlich, auch die Farben passen.
Habt ihr hier ne Ahnung was mir fehlt, oder funktioniert das einfach noch nicht so richtig.

Bild zum Thema: http://www.osit.cc/pics/themafalsch11.png

lg
boospy

Wenn dir eine engine fehlt sollte das eigentlich auch in
Code:
 tail -f ~/.xsession-errors
auftauchen.
Kannst ja auch mal die URL vom Theme posten, könne ja dann mal schauen. Das die GTK3 Theme immer gleich denn GTK2 theme aussehen ist auch kein muss.

MfG
Back to top
View user's profile Send private message
boospy
Apprentice
Apprentice


Joined: 07 Feb 2010
Posts: 249
Location: Austria

PostPosted: Fri Aug 17, 2012 5:38 pm    Post subject: Reply with quote

Hi,

Hier sind mal 2 Themen:
- http://gnome-look.org/content/show.php/DeLorean_Noir+Theme?content=148592
- http://gnome-look.org/content/show.php/Ultimate+Edition+3.0%3F?content=145381

Das erste ist das Bild. Beim zweiten ist der Hintergrund zerstückelt, und das Menü flimmert herum. GTK2 ist wieder ok.

Hier ein Teil der Log:
Code:
(gnome-tweak-tool:5950): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Fehler in Zeile 1: Entität endete nicht mit einem Semikolon; wahrscheinlich haben Sie ein &-Zeichen benutzt, ohne eine Entität beginnen zu wollen - umschreiben Sie das »&« als &
(gnome-tweak-tool:5950): Gtk-CRITICAL **: gtk_css_section_get_file: assertion `section != NULL' failed
Fensterverwalter-Warnung:Log level 8: g_source_remove: assertion `tag > 0' failed

(gnome-tweak-tool:5950): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Fehler in Zeile 1: Entität endete nicht mit einem Semikolon; wahrscheinlich haben Sie ein &-Zeichen benutzt, ohne eine Entität beginnen zu wollen - umschreiben Sie das »&« als &

(gnome-tweak-tool:5950): Gtk-CRITICAL **: gtk_css_section_get_end_position: assertion `section != NULL' failed
(gnome-tweak-tool:5950): Gtk-WARNING **: Theme parsing error: <data>:1:0: Expected an identifier
.themes/DeLorean_Noir/gtk-2.0/apps/thunar.rc:226: error: invalid string constant "f-entry-text-bg", expected valid string constant


lg
boospy
Back to top
View user's profile Send private message
fuchur
Guru
Guru


Joined: 12 Aug 2003
Posts: 563

PostPosted: Fri Aug 17, 2012 6:42 pm    Post subject: Reply with quote

Hi
boospy wrote:
Hi,

Hier sind mal 2 Themen:
- http://gnome-look.org/content/show.php/DeLorean_Noir+Theme?content=148592
- http://gnome-look.org/content/show.php/Ultimate+Edition+3.0%3F?content=145381

Das erste ist das Bild. Beim zweiten ist der Hintergrund zerstückelt, und das Menü flimmert herum. GTK2 ist wieder ok.

Hier ein Teil der Log:
Code:
(gnome-tweak-tool:5950): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Fehler in Zeile 1: Entität endete nicht mit einem Semikolon; wahrscheinlich haben Sie ein &-Zeichen benutzt, ohne eine Entität beginnen zu wollen - umschreiben Sie das »&« als &amp;
(gnome-tweak-tool:5950): Gtk-CRITICAL **: gtk_css_section_get_file: assertion `section != NULL' failed
Fensterverwalter-Warnung:Log level 8: g_source_remove: assertion `tag > 0' failed

(gnome-tweak-tool:5950): Gtk-WARNING **: Failed to set text from markup due to error parsing markup: Fehler in Zeile 1: Entität endete nicht mit einem Semikolon; wahrscheinlich haben Sie ein &-Zeichen benutzt, ohne eine Entität beginnen zu wollen - umschreiben Sie das »&« als &amp;

(gnome-tweak-tool:5950): Gtk-CRITICAL **: gtk_css_section_get_end_position: assertion `section != NULL' failed
(gnome-tweak-tool:5950): Gtk-WARNING **: Theme parsing error: <data>:1:0: Expected an identifier
.themes/DeLorean_Noir/gtk-2.0/apps/thunar.rc:226: error: invalid string constant "f-entry-text-bg", expected valid string constant


lg
boospy

Das DeLorean_Noir Gtk3 theme benötigt <=x11-themes/gtk-engines-unico-1.0.1 und =x11-libs/gtk+-3.2 Habe leider höhere Versionen.
Ausserdem benutzt das so ein komisches Installationsscript Start.sh aber das ist wohl nur für GTK2. Musst halt mal schauen ob das mit
deine GTK3 Versionen übereinstimmt.

Das zweite ist so ein Ubuntu deb und auch nicht alle Theme in dem Pack habe ein Gtk-3.0 theme. Was damit ist keine Ahnung.

Habe beide nicht Installiert. Alle Themen von solchen Seiten (gnome-lock usw.) die sich nicht in ~/.themes/ installiert lassen kommen bei mir nicht
auf den Rechner. Und irgend welchen Theme mit installscripte mit covert usw. schon gar nicht.

Da kann ich dir leider nicht weiterhelfen. Ich kann dir aber einen Tip geben. Theme die für gtk+-3.2 gemacht wurden laufen nicht mehr mit >=gtk+-3.4.
Wenn du dann eine Gtk3 Anwendung von der Shell Startes und etwas in der Shell siehst wie dieses:
Code:

Gtk-WARNING **: Theme parsing error: XXXXXXXXXXXXXXXXXXXXX: Not using units is deprecated. Assuming 'px'.

passt das Theme nicht mit deiner Gtk version (oder unico-engiene) zusammen.

MfG
Back to top
View user's profile Send private message
boospy
Apprentice
Apprentice


Joined: 07 Feb 2010
Posts: 249
Location: Austria

PostPosted: Fri Aug 17, 2012 7:00 pm    Post subject: Reply with quote

Oje, ok. Ich verstehe. Alle meine Themen, 13 Stück, geben diese Meldung von sich. Nur das Origenaltheme ist OK.
Sag wo kriegst denn du einen Themen her?

lg
boospy
Back to top
View user's profile Send private message
fuchur
Guru
Guru


Joined: 12 Aug 2003
Posts: 563

PostPosted: Fri Aug 17, 2012 7:17 pm    Post subject: Reply with quote

Hi
boospy wrote:
Oje, ok. Ich verstehe. Alle meine Themen, 13 Stück, geben diese Meldung von sich. Nur das Origenaltheme ist OK.
Sag wo kriegst denn du einen Themen her?

lg
boospy

Ich habe ein etwas ausgefallenen Geschmack. Deshalb mach ich meine schon lange selber.
http://gnome-look.org/content/show.php/Smoothly?content=146464&PHPSESSID=fe37af004f27ff8a2e3486ce80e2e754

Wenn du das mal ausprobieren möchtest wirst du aber mit den GTK2 Theme unter Gentoo Probleme bekommen, da gtk-engines-smooth
aus den default Gnome theme-engines geflogen ist. Habe aber ein ebuild dafür gebaut mit supporteter Debian sourse. Kann dir das ebuild dann zugänglich machen
wenn du es haben möchtest.

MfG
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum